Subject: bug#12750: Highlighting text no longer works

From: Bruce Korb <[email-masked]>
Date: Mon, 29 Oct 2012 05:02:25 -0700

Hi Chong,

On Mon, Oct 29, 2012 at 2:08 AM, Chong Yidong <[email-masked]> wrote:
> Bruce Korb <[email-masked]> writes:
>
>>>     (setq select-active-regions         nil)
>>>     (setq mouse-drag-copy-region        't)
>>>     (setq x-select-enable-primary       't)
>>>     (setq x-select-enable-clipboard     nil)
>>>     (global-set-key [mouse-2]          'mouse-yank-at-click)
>>
>> I do need explicit instructions.  This didn't work.  I want to
>> highlight and paste and highlight and yank.  Both and.  This isn't
>> working.
>
> You have to be more specific than that.  With a .emacs file, your
> previous recipe
>
>> 1. left click the end of some text
>> 2. right click the start of some text
>> 3. alt-shift-5 ctl-y (query replace followed by paste)
>
> does indeed yank the text into the minibuffer.

Hmm.  OK, I use this many ways.  Sometimes, I click button 2,  sometimes
I type Ctl-Y.  Either way, I am very habituated to the selected text
being pasted.
I want to avoid having to remember Ctl-W/Ctl-C *ESPECIALLY* because I
don't even have Cmd-C working on my Mac.  I have to use the pull down menu
to access "edit->copy".  That becomes especially interesting when my
mouse crosses other emacs windows because if the mouse touches one
of them, then the selected text is no longer current and "edit->copy" grabs
a different block of text.

So, here's what I want:  I want the selected text to be inserted into all
buffers that relate to pasting of any sort.  If Mouse-2 and Ctl-Y refer to
different buffers, then both buffers should have the selected text.
How do I do this?

Thank you so much!!  Regards, Bruce